Loading...
Searching...
No Matches
etl::type_id_lookup< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 >::type_from_id< Id > Struct Template Reference

## Public Types

typedef etl::conditional< Id==T1::Id, typenameT1::type, typenameetl::conditional< Id==T2::Id, typenameT2::type, typenameetl::conditional< Id==T3::Id, typenameT3::type, typenameetl::conditional< Id==T4::Id, typenameT4::type, typenameetl::conditional< Id==T5::Id, typenameT5::type, typenameetl::conditional< Id==T6::Id, typenameT6::type, typenameetl::conditional< Id==T7::Id, typenameT7::type, typenameetl::conditional< Id==T8::Id, typenameT8::type, typenameetl::conditional< Id==T9::Id, typenameT9::type, typenameetl::conditional< Id==T10::Id, typenameT10::type, typenameetl::conditional< Id==T11::Id, typenameT11::type, typenameetl::conditional< Id==T12::Id, typenameT12::type, typenameetl::conditional< Id==T13::Id, typenameT13::type, typenameetl::conditional< Id==T14::Id, typenameT14::type, typenameetl::conditional< Id==T15::Id, typenameT15::type, typenameetl::conditional< Id==T16::Id, typenameT16::type, etl::null_type< 0 > >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type >::type

type

## Public Member Functions

| ETL_STATIC_ASSERT (!(etl::is_same< etl::null_type< 0 >, type >::value), "Invalid id")

The documentation for this struct was generated from the following file:

- include/etl/type_lookup.h